html {
  touch-action: manipulation;
}

.wrap {
  width: 100%;
  height: 100vh;
  overflow: auto;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}

.container {
  width: 94%;
  max-width: 500px;
  margin: 0 auto;
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
}
.container h1 {
  margin-bottom: 40px;
  font-weight: 400;
  font-size: 1.6em;
}
.container h1.hide {
  display: none;
}
.container .count {
  font-size: 3.2em;
}
.container .count.count.msg {
  font-size: 2.6em;
  color: red;
}
.container .count.blue {
  color: blue;
}
.container .clickButton {
  display: block;
  width: 240px;
  height: 240px;
  font-size: 3.2em;
  line-height: 240px;
  margin: 30px auto;
  border-radius: 50%;
  color: white;
  background-color: #a81431;
  box-shadow: 1px 10px #7a0519;
  cursor: pointer;
}
.container .clickButton.hide {
  display: none;
}
.container .clickButton:hover {
  opacity: 0.9;
}
.container .clickButton:active {
  box-shadow: 1px 5px #660111;
  position: relative;
  top: 5px;
}
.container .clickButton.clicked {
  animation: pulse 0.1s ease-in-out;
}
.container .resetBtn {
  margin-top: 50px;
}
.container .resetBtn.hide {
  display: none;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(0.97);
  }
  100% {
    transform: scale(1);
  }
}